<?php

namespace Simple\SiteBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Simple\ModelBundle\Entity\Oddzial
 *
 * @ORM\Table(name="oddzial")
 * @ORM\Entity
 */
class Oddzial
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="ID", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string $nazwa
     *
     * @ORM\Column(name="Nazwa", type="string", length=50, nullable=true)
     */
    private $nazwa;



    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set nazwa
     *
     * @param string $nazwa
     */
    public function setNazwa($nazwa)
    {
        $this->nazwa = $nazwa;
    }

    /**
     * Get nazwa
     *
     * @return string 
     */
    public function getNazwa()
    {
        return $this->nazwa;
    }
    
    
    
    /**
     * @ORM\OneToMany(targetEntity="Osoba", mappedBy="oddzial")
     */
    protected $osobaCollection;

    public function __construct()
    {
        $this->osobaCollection = new ArrayCollection();
    }
}